require 'Items/SuburbsDistributions'

for i,v in pairs(SuburbsDistributions) do
	if v.items ~= nil then
		local k=1;
		while k <= #v.items do
			if v.items[k] == "Base.Pistol" then 
				table.remove(v.items, k);
				table.remove(v.items, k);
			elseif v.items[k] == "Base.Bullets9mm" then
				table.remove(v.items, k);
				table.remove(v.items, k);
			elseif v.items[k] == "Base.BulletsBox" then
				table.remove(v.items, k);
				table.remove(v.items, k);
			elseif v.items[k] == "Base.Laser" then
				table.remove(v.items, k);
				table.remove(v.items, k);
			elseif v.items[k] == "Base.RedDot" then
				table.remove(v.items, k);
				table.remove(v.items, k);
			else
				k = k + 1;
			end
		end
	else
		for i2, v2 in pairs(v) do
			if v2.items ~= nil then
				local k=1;
				while k <= #v2.items do
					if v2.items[k] == "Base.Pistol" then 
						table.remove(v2.items, k);
						table.remove(v2.items, k);
					elseif v2.items[k] == "Base.Bullets9mm" then
						table.remove(v2.items, k);
						table.remove(v2.items, k);
					elseif v2.items[k] == "Base.BulletsBox" then
						table.remove(v2.items, k);
						table.remove(v2.items, k);
					elseif v2.items[k] == "Base.Laser" then
						table.remove(v2.items, k);
						table.remove(v2.items, k);
					elseif v2.items[k] == "Base.RedDot" then
						table.remove(v2.items, k);
						table.remove(v2.items, k);
					else
						k = k + 1;
					end
				end
			end
		end
	end
end
